// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.
'use strict';
/**
 * An error that should be displayed to the user
 */
export class NotifyUserError extends Error {
    constructor(message, severity = 'error') {
        super(message);
        // Set the prototype explicitly.
        Object.setPrototypeOf(this, NotifyUserError.prototype);
        this.message = message;
        this.stack = new Error().stack;
        this.severity = severity;
    }
}
//# sourceMappingURL=exceptions.js.map