import { Panel } from '@lumino/widgets';
import type { IDiffWidgetOptions } from '../../common/interfaces';
import type { NotebookDiffModel } from '../model';
/**
 * NotebookDiffWidget
 */
export declare class NotebookDiffWidget extends Panel {
    constructor({ editorFactory, model, rendermime, }: IDiffWidgetOptions<NotebookDiffModel>);
    /**
     * Start adding sub-widgets.
     *
     * Separated from constructor to allow 'live' adding of widgets
     */
    init(): Promise<void>;
    /**
     * Get the model for the widget.
     *
     * #### Notes
     * This is a read-only property.
     */
    get model(): NotebookDiffModel;
    private _editorFactory;
    private _model;
    private _rendermime;
}
//# sourceMappingURL=notebook.d.ts.map