// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.
'use strict';
import { PanelLayout, Widget } from '@lumino/widgets';
/**
 * Widget for outputs with renderable MIME data.
 */
export class RenderableDiffView extends Widget {
    constructor(model, editorClass, rendermime, mimetype) {
        super();
        this.rendermime = rendermime;
        this.model = model;
        this.mimetype = mimetype;
        let bdata = model.base;
        let rdata = model.remote;
        this.layout = new PanelLayout();
        let ci = 0;
        if (bdata) {
            let widget = this.createSubView(bdata, model.trusted);
            this.layout.addWidget(widget);
            widget.addClass(editorClass[ci++]);
        }
        if (rdata && rdata !== bdata) {
            let widget = this.createSubView(rdata, model.trusted);
            this.layout.addWidget(widget);
            widget.addClass(editorClass[ci++]);
        }
    }
    get layout() {
        return super.layout;
    }
    set layout(value) {
        super.layout = value;
    }
}
//# sourceMappingURL=renderable.js.map