import * as nbformat from '@jupyterlab/nbformat';
import { Panel, Widget } from '@lumino/widgets';
import type { CodeEditor } from '@jupyterlab/codeeditor';
import type { ICellDiffWidgetOptions } from '../../common/interfaces';
import { IStringDiffModel, IDiffModel, OutputDiffModel } from '../../diff/model';
import type { CellMergeModel } from '../model';
import { RenderableOutputsMergeView } from './output';
export declare const CELLMERGE_CLASS = "jp-Cell-merge";
export interface ICellMergeViewOptions {
    local: IStringDiffModel | null;
    remote: IStringDiffModel | null;
    merged: IDiffModel;
    readOnly?: boolean;
    editorClasses: string[];
    editorFactory?: CodeEditor.Factory;
}
/**
 * CellMergeWidget for cell changes
 */
export declare class CellMergeWidget extends Panel {
    static createMergeView({ editorFactory, local, remote, merged, readOnly, }: ICellMergeViewOptions): Widget | null;
    protected static getOutputs(models: OutputDiffModel[], base?: boolean): nbformat.IOutput[];
    /**
     *
     */
    constructor({ editorFactory, model, rendermime, mimetype, }: ICellDiffWidgetOptions<CellMergeModel>);
    validateMerged(candidate: nbformat.ICell): nbformat.ICell;
    protected init(): void;
    protected createHeader(): void;
    private _createClearOutputToggle;
    private _createDeleteToggle;
    mimetype: string;
    header: Panel;
    headerTitleWidget: Widget;
    sourceView: Widget | null;
    metadataView: Widget | null;
    outputViews: RenderableOutputsMergeView | null;
    set headerTitle(value: string);
    /**
     * Get the model for the widget.
     *
     * #### Notes
     * This is a read-only property.
     */
    get model(): CellMergeModel;
    private _editorFactory;
    private _model;
    private _rendermime;
}
//# sourceMappingURL=cell.d.ts.map